<!DOCTYPE html>
<html>
<head>

    <!-- Meta -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!-- Stylesheets -->
    <link rel="stylesheet" href="css/reset.css">
    <link rel="stylesheet" href="css/core.css">

    <!-- Jquery -->
    <script src="js/jquery-3.2.1.min.js"></script>
    <script src="js/core.js"></script>
    
    <!-- Titles & Others -->
    <title>AJAX API Example</title>

</head>
<body>

    <div class="wrapper">

        <nav>
            <ul class="tab-group">
                <li class="tab active"> <a href="#books"> Libros </a> </li>
                <li class="tab"> <a href="#persons"> Personas </a> </li>
                <li class="tab"> <a href="#for-hire"> Préstamos </a> </li>
            </ul>
        </nav>

        <div class="main">
            
            <div id="books">

                <div class="f-block">
                    <p class="ghost"></p>
                    <p class="title">Libros</p>
                    <div class="ghost-block">
                        <button id="get-books" class="btn"> <span class="hidden"> » </span> Show</button>
                    </div>
                </div>
                
                <form id="create-book">
                    <input type="text" id="nombreLibro" placeholder="Nombre">
                    <input type="text" id="autor" placeholder="Autor">
                    <input type="text" id="editorial" placeholder="Editorial">
                    <button class="btn">Crear</button>
                </form>
            
                <table>
                    <thead>
                        <tr>
                            <th>Id</th>
                            <th>Nombre</th>
                            <th>Autor</th>
                            <th>Editorial</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                </table>
    
                <div class="tbl-content">
                    <table>
                        <tbody id="table-book"></tbody>
                    </table>
                </div>

            </div>
            
            <div id="persons">

                <div class="f-block">
                    <p class="ghost"></p>
                    <p class="title">Personas</p>
                    <div class="ghost-block">
                        <button id="get-persons" class="btn"> <span class="hidden"> » </span> Mostrar </button>
                    </div>
                </div>
                
                <form id="create-person">
                    <input type="text" id="nombre" placeholder="Nombre">
                    <input type="text" id="apellido" placeholder="Apellido">
                    <input type="text" id="edad" placeholder="Edad">
                    <button class="btn">Crear</button>
                </form>
            
                <table>
                    <thead>
                        <tr>
                            <th>Id</th>
                            <th>Nombre</th>
                            <th>Apellido</th>
                            <th>Edad</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                </table>
    
                <div class="tbl-content">
                    <table>
                        <tbody id="table-person"></tbody>
                    </table>
                </div>

            </div>

            <div id="for-hire">

                <div class="f-block">
                    <p class="ghost"></p>
                    <p class="title">Préstamos</p>
                    <div class="ghost-block">
                        <button id="get-to-hire" class="btn"> <span class="hidden"> » </span> Show</button>
                    </div>
                </div>
                
                <div class="select-option" id="ichi">
                    <select size="1" class="selection" id="book-op"></select>
                </div>
                <div class="select-option two" id="ni">
                    <select size="1" class="selection" id="person-op"></select>
                </div>

                <form id="create-to-hire">
                    <!-- <div class="select-option">
                        <select size="1" class="selection" id="book-op"></select>
                    </div>
                    <div class="select-option two">
                        <select size="1" class="selection" id="person-op"></select>
                    </div> -->
                    <!-- <div class="select-option1">
                        <select class="selection1" id="book-op"></select>
                    </div> -->
                    <!-- <div class="select-option2">
                        <select class="selection2" id="person-op"></select>
                    </div> -->
                    <input type="date" pattern="[0-9]{4}-(0[1-9]|1[012])-(0[1-9]|1[0-9]|2[0-9]|3[01])" id="fecha" value="2000-12-12">
                    <button class="btn" id="padding">Crear</button>
                </form>
            
                <table>
                    <thead>
                        <tr>
                            <th>Id</th>
                            <th>Libro</th>
                            <th>Persona</th>
                            <th>Fecha</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                </table>
    
                <div class="tbl-content">
                    <table>
                        <tbody id="table-to-hire"></tbody>
                    </table>
                </div>

            </div>

        </div>

    </div>

    <script src="person.js"></script>
    <script src="book.js"></script>
    <script src="to-hire.js"></script>

    <script>

        $("#book-op").click(function(){
            $('#ni').css('display','none');
            $('#create-to-hire > *').css('display','none');
            $('#ichi').addClass("wrapper-select");
            $('#ichi > .selection').attr('size','6');
        });

        $("#person-op").click(function(){
            $('#ni').addClass("wrapper-select");
            $('#create-to-hire > *').css('display','none');
            $('#ni > .selection').attr('size','4');
        });

        $("#create-to-hire").click(function(){
            $('#ni').css('display','initial');
            $('#create-to-hire > *').css('display','initial');
            $('.select-option').removeClass("wrapper-select");
            $('.selection').attr('size','0');
        });
    
    </script>

</body>
</html>